RNAPLFOLD(1)

2.1.9

NAME
RNAplfold - manual page for RNAplfold 2.1.9

SYNOPSIS
RNAplfold [OPTIONS]...

DESCRIPTION
RNAplfold 2.1.9

calculate locally stable secondary structure - pair probabilities

Computes local pair probabilities for base pairs with a maximal span of L. The probabilities are averaged over all windows of size L that contain the base pair. For a sequence of length n and a window size of L the algorithm uses only O(n+L*L) memory and O(n*L*L) CPU time. Thus it is practical to "scan" very large genomes for short stable RNA structures.

Output consists of a dot plot in postscript file, where the averaged pair probabilities can easily be parsed and visually inspected. The -u option makes i possible to compute the probability that a stretch of x consequtive nucleotides is unpaired, which is useful for predicting possible binding sites. Again this probability is averaged over all windows containing the region. WARNING! Output format changed!! The output is a plain text matrix containing on each line a position i followed by the probability that i is unpaired, [i-1..i] is unpaired [i-2..i] is unpaired and so on to the probability that [i-x+1..i] is unpaired.

-h, --help
    Print help and exit

--detailed-help
    Print help, including all details and hidden options, and exit

--full-help
    Print help, including hidden options, and exit

-V, --version
    Print version and exit

  General Options:

    Below are command line options which alter the general behavior of this program

-W, --winsize=size
    Average the pair probabilities over windows of given size

    (default=`70')

-L, --span=size
    Set the maximum allowed separation of a base pair to span. I.e. no pairs (i,j) with j-i > span will be allowed. Defaults to winsize if parameter is omitted

-c, --cutoff=FLOAT
    Report only base pairs with an average probability > cutoff in the dot plot

    (default=`0.01')

-o, --print_onthefly
    Save memory by printing out everything during computation. NOTE: activated per default for sequences over 1M bp.

    (default=off)

-u, --ulength=length
    Compute the mean probability that regions of length 1 to a given length are unpaired. Output is saved in a _lunp file.

    (default=`31')

-O, --opening_energies
    Switch output from probabilities to their logarithms, which are NOT exactly the mean energies needed to the respective stretch of bases! NOTE: This actives -u option.

    (default=off)

--plex_output
    Create additional output files for RNAplex.

    (default=off)

--noconv
    Do not automatically substitude nucleotide "T" with "U"

    (default=off)

  Model Details:

-T, --temp=DOUBLE
    Rescale energy parameters to a temperature of temp C. Default is 37C.

-4, --noTetra
    Do not include special tabulated stabilizing energies for tri-, tetra- and hexaloop hairpins. Mostly for testing.

    (default=off)

-d, --dangles=INT
    How to treat "dangling end" energies for bases adjacent to helices in free ends and multi-loops

    (default=`2')

    With -d2 dangling energies will be added for the bases adjacent to a helix on both sides in any case.

-d0 ignores dangling ends altogether (mostly for debugging).

--noLP
    Produce structures without lonely pairs (helices of length 1).

    (default=off)

    For partition function folding this only disallows pairs that can only occur isolated. Other pairs may still occasionally occur as helices of length 1.

--noGU
    Do not allow GU pairs

    (default=off)

--noClosingGU
    Do not allow GU pairs at the end of helices

    (default=off)

-P, --paramFile=paramfile
    Read energy parameters from paramfile, instead of using the default parameter set.

    A sample parameter file should accompany your distribution. See the RNAlib documentation for details on the file format.

-b, --binaries
    Output accessibility profiles in binary format . (default=off)

    The binary files produced by RNAplfold do not need to be parsed by RNAplex,

    so that they are directly loaded into memory. This is useful when large sequences have to be searched for putative hybridization sites. An other advantage of the binary format is the 50% file size decrease.

--nsp=STRING
    Allow other pairs in addition to the usual AU,GC,and GU pairs.

    Its argument is a comma separated list of additionally allowed pairs. If the first character is a "-" then AB will imply that AB and BA are allowed pairs. e.g. RNAfold -nsp -GA will allow GA and AG pairs. Nonstandard pairs are given 0 stacking energy.

-e, --energyModel=INT
    Rarely used option to fold sequences from the artificial ABCD... alphabet, where A pairs B, C-D etc. Use the energy parameters for GC (-e 1) or AU (-e 2) pairs.

--betaScale=DOUBLE
    Set the scaling of the Boltzmann factors (default=`1.')

    The argument provided with this option enables to scale the thermodynamic temperature used in the Boltzmann factors independently from the temperature used to scale the individual energy contributions of the loop types. The Boltzmann factors then become exp(-dG/(kT*betaScale)) where k is the Boltzmann constant, dG the free energy contribution of the state and T the absolute temperature.

AUTHOR
Stephan H Bernhart, Ivo L Hofacker, Peter F Stadler, Ronny Lorenz

REFERENCES
If you use this program in your work you might want to cite: R. Lorenz, S.H. Bernhart, C. Hoener zu Siederdissen, H. Tafer, C. Flamm, P.F. Stadler and I.L. Hofacker (2011), "ViennaRNA Package 2.0", Algorithms for Molecular Biology: 6:26 I.L. Hofacker, W. Fontana, P.F. Stadler, S. Bonhoeffer, M. Tacker, P. Schuster (1994), "Fast Folding and Comparison of RNA Secondary Structures", Monatshefte f. Chemie: 125, pp 167-188 S. H. Bernhart, I.L. Hofacker, and P.F. Stadler (2006), "Local Base Pairing Probabilities in Large RNAs", Bioinformatics: 22, pp 614-615 A.F. Bompfuenewerer, R. Backofen, S.H. Bernhart, J. Hertel, I.L. Hofacker, P.F. Stadler, S. Will (2007), "Variations on RNA Folding and Alignment: Lessons from Benasque", J. Math. Biol. The energy parameters are taken from: D.H. Mathews, M.D. Disney, D. Matthew, J.L. Childs, S.J. Schroeder, J. Susan, M. Zuker, D.H. Turner (2004), "Incorporating chemical modification constraints into a dynamic programming algorithm for prediction of RNA secondary structure", Proc. Natl. Acad. Sci. USA: 101, pp 7287-7292 D.H Turner, D.H. Mathews (2009), "NNDB: The nearest neighbor parameter database for predicting stability of nucleic acid secondary structure", Nucleic Acids Research: 38, pp 280-282

REPORTING BUGS
If in doubt our program is right, nature is at fault.
Comments should be sent to rna@tbi.univie.ac.at.

SEE ALSO
RNALfold(1)